@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico_unique_board_id_t Struct Reference
pico_unique_id

Unique board identifier. More...

`#include <unique_id.h>`

## Data Fields

uint8_t | id [8]

## Detailed Description

Unique board identifier.

This structure contains an array of PICO_UNIQUE_BOARD_ID_SIZE_BYTES identifier bytes suitable for holding the unique identifier for the device.

On an RP2040-based board, the unique identifier is retrieved from the external NOR flash device at boot, or for PICO_NO_FLASH builds the unique identifier is set to all 0xEE.

The documentation for this struct was generated from the following file:

- include/pico/unique_id.h